## node-levn 0.3.0+dfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js)

LS = node_modules/livescript
LSC = node_modules/.bin/lsc
MOCHA = node_modules/.bin/mocha
MOCHA2 = node_modules/.bin/_mocha
ISTANBUL = node_modules/.bin/istanbul

package.json: package.json.ls
	$(LSC) --compile package.json.ls

lib:
	mkdir -p lib/

lib/%.js: src/%.ls lib
	$(LSC) --compile --output lib "$<"

.PHONY: build test coverage dev-install loc clean

all: build

build: $(LIB) package.json

test: build
	$(MOCHA) --reporter dot --ui tdd --compilers ls:$(LS)

coverage: build
	$(ISTANBUL) cover $(MOCHA2) -- --reporter dot --ui tdd --compilers ls:$(LS)

dev-install: package.json
	npm install .

loc:
	wc -l $(SRC)

clean:
	rm -f package.json
	rm -rf lib
	rm -rf coverage

=== debian/changelog ===
node-levn (0.3.0+dfsg-4) unstable; urgency=medium

  * Team upload
  * Add debian/clean
  * Replace old-style mocha test files (Closes: #952191)

 -- Xavier Guimard <yadd@debian.org>  Mon, 24 Feb 2020 09:31:46 +0100

node-levn (0.3.0+dfsg-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Build during build step, not test one
  * Restore pkg-js-tools files
  * Fix autopkgtest using pkg-js-tools 0.9.24
  * Fix test for mocha ≥ 6
  * Add patch desc
  * Update copyright
  * Drop unneeded version constraints from (build) dependencies

 -- Xavier Guimard <yadd@debian.org>  Tue, 04 Feb 2020 05:57:11 +0100

node-levn (0.3.0+dfsg-2) unstable; urgency=medium

  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * Bump Standards-Version to 4.4.1 (no changes needed)
  * Use salsa.debian.org in Vcs-* fields
  * Switch to pkg-js-tools (fix autopkgtest failure)
  * Fix long description (Closes: #840722)
  * Add Tessuite field
  * Change section: web -> javascript
  * Add description to patch
  * Switch back to manual autopkgtest
  * Override missing pkg-js/test file

 -- Pirate Praveen <praveen@debian.org>  Sun, 19 Jan 2020 15:13:40 +0530

node-levn (0.3.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #840415)

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Oct 2016 11:45:28 +0530

=== debian/control ===
Source: node-levn
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , livescript
 , mocha <!nocheck>
 , pkg-js-tools (>= 0.9.24~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-levn
Vcs-Git: https://salsa.debian.org/js-team/node-levn.git
Homepage: https://github.com/gkz/levn
Rules-Requires-Root: no

Package: node-levn
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-prelude-ls
 , node-type-check
Description: Light ECMAScript (JavaScript) Value Notation
 Levn is a library which allows you to parse a string into a JavaScript value
 based on an expected type. It is meant for short amounts of human entered data
 (eg. config files, command line arguments).
 .
 Levn aims to concisely describe JavaScript values in text, and allow for the
 extraction and validation of those values. Levn uses 'type-check' for its type
 format, and to validate the results.
 .
 How is this different than JSON? levn is meant to be written by humans only,
 is (due to the previous point) much more concise, can be validated against
 supplied types, has regex and date literals, and can easily be extended with
 custom types. On the other hand, it is probably slower and thus less efficient
 at transporting large amounts of data, which is fine since this is not its
 purpose.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --with nodejs

override_dh_auto_build:
	make

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-levn-$1.tar.gz/ \
 https://github.com/gkz/levn/tags .*/archive/v?([\d\.]+).tar.gz

## node-levn 0.4.1%2Bdfsg

=== Makefile ===
default: all

SRC = $(shell find src -name "*.ls" -type f | sort)
LIB = $(SRC:src/%.ls=lib/%.js)

LS = node_modules/livescript
LSC = node_modules/.bin/lsc
MOCHA = node_modules/.bin/mocha

package.json: package.json.ls
	$(LSC) --compile package.json.ls

lib:
	mkdir -p lib/

lib/%.js: src/%.ls lib
	$(LSC) --compile --output lib "$<"

.PHONY: build test coverage dev-install loc clean

all: build

build: $(LIB) package.json

test: build
	$(MOCHA) --ui tdd --require livescript "test/**/*.ls"

dev-install: package.json
	npm install .

loc:
	wc -l $(SRC)

clean:
	rm -f package.json
	rm -rf lib

## node-levn 0.4.1+dfsg

=== debian/changelog ===
node-levn (0.4.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Remove depends on nodejs

 -- Bastien Roucariès <rouca@debian.org>  Mon, 04 Oct 2021 16:20:56 +0000

node-levn (0.4.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * MA: foreign
  * Fix watch file

 -- Bastien Roucariès <rouca@debian.org>  Mon, 04 Oct 2021 09:23:25 +0000

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , livescript
  , mocha <!nocheck>
- , pkg-js-tools (>= 0.9.24~)
-Standards-Version: 4.5.0
+ , dh-sequence-nodejs
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-levn
 Vcs-Git: https://salsa.debian.org/js-team/node-levn.git
 Homepage: https://github.com/gkz/levn
@@ -19,9 +19,9 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
  , node-prelude-ls
  , node-type-check
+Multi-Arch: foreign
 Description: Light ECMAScript (JavaScript) Value Notation
  Levn is a library which allows you to parse a string into a JavaScript value
  based on an expected type. It is meant for short amounts of human entered data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_auto_build:
	$(MAKE)

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=auto,\
filenamemangle=s%(?:.*?/)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1% \
 https://github.com/gkz/levn/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
